summaryrefslogtreecommitdiff
path: root/debian/comerr-dev.postrm
diff options
context:
space:
mode:
authorTheodore Ts'o <tytso@mit.edu>2018-08-04 21:06:19 -0400
committerTheodore Ts'o <tytso@mit.edu>2018-08-04 21:06:19 -0400
commit31ee367e9779c871df96e63e065c0b221831ed73 (patch)
treefbea97d3bc009c9a0aac58321278b8432b9d5caf /debian/comerr-dev.postrm
parent94f20cd51522dd718bc4a459ea65d72a722d1874 (diff)
downloade2fsprogs-31ee367e9779c871df96e63e065c0b221831ed73.tar.gz
debian: stop using symlinks to save space on *-dev packages
Using symlinks to save space on duplicate copies of the /usr/share/doc/*/changelog.Debian.gz is a bit of a mess, since when the foo-dev package is removed, the files in /usr/share/doc/libfoo/* get removed, which means the copyright file gets removed. So stop doing this altogether, and set up maintainer scripts to clean up the mess so that the symlinks are removed when the packages get upgraded. Addresses-Debian-Bug: #905195 Signed-off-by: Theodore Ts'o <tytso@mit.edu>
Diffstat (limited to 'debian/comerr-dev.postrm')
-rw-r--r--debian/comerr-dev.postrm36
1 files changed, 36 insertions, 0 deletions
diff --git a/debian/comerr-dev.postrm b/debian/comerr-dev.postrm
new file mode 100644
index 00000000..8f9e679b
--- /dev/null
+++ b/debian/comerr-dev.postrm
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+# Abort on error.
+set -e
+
+symlink_match()
+{
+ local SYMLINK="$1"
+ local SYMLINK_TARGET="$2"
+
+ [ "$(readlink "$SYMLINK")" = "$SYMLINK_TARGET" ] || \
+ [ "$(readlink -f "$SYMLINK")" = "$SYMLINK_TARGET" ]
+}
+
+SYMLINK=/usr/share/doc/comerr-dev
+SYMLINK_TARGET=libcomerr2
+SYMLINK_TARGET2=libcom-err2
+
+if [ "$1" = "purge" ] && [ -h "${SYMLINK}.dpkg-backup" ]
+then
+ rm -f "${SYMLINK}.dpkg-backup"
+fi
+if [ "$1" = "abort-install" -o "$1" = "abort-upgrade" ] &&
+ [ -n "$2" ] && [ ! -e "$SYMLINK" ] && [ -h "${SYMLINK}.dpkg-backup" ]
+then
+ if symlink_match "${SYMLINK}.dpkg-backup" "$SYMLINK_TARGET" ||
+ symlink_match "${SYMLINK}.dpkg-backup" "$SYMLINK_TARGET2"
+ then
+ echo "Restoring backup of $SYMLINK ..."
+ mv "${SYMLINK}.dpkg-backup" "$SYMLINK"
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0